### Method

# WebKit2WebExtension Frame get_js_value_for_dom_object_in_script_world

#### Declaration [src]

    JSCValue*
    webkit_frame_get_js_value_for_dom_object_in_script_world (
      WebKitFrame* frame,
      WebKitDOMObject* dom_object,
      WebKitScriptWorld* world
    )

#### Description [src]

Get a `JSCValue` referencing the given DOM object. The value is created in the JavaScript execution context of `frame` for the given `WebKitScriptWorld`.

Available since: | 2.22

#### Parameters

`dom_object` | `WebKitDOMObject`
| A `WebKitDOMObject`.
| The data is owned by the caller of the function.
`world` | `WebKitScriptWorld`
| A `WebKitScriptWorld`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `JSCValue`
| The `JSCValue` referencing `dom_object`.
| The caller of the method takes ownership of the data, and is responsible for freeing it.